Qt Reference Documentation

# QSymbianEvent Class Reference

The QSymbianEvent class contains a Symbian event of any type. More...

     #include <QSymbianEvent>

This class was introduced in Qt 4.6.

- List of all members, including inherited members

## Public Types

enum | Type { InvalidEvent, WindowServerEvent, CommandEvent, ResourceChangeEvent }

## Public Functions

| QSymbianEvent ( const TWsEvent * windowServerEvent )
| QSymbianEvent ( Type eventType, int value )
| ~QSymbianEvent ()
int | command () const
bool | isValid () const
int | resourceChangeType () const
Type | type () const
const TWsEvent * | windowServerEvent () const

## Detailed Description

The QSymbianEvent class contains a Symbian event of any type.

The class is used as a generic container type for all types of Symbian events.

Note: This class is only available on Symbian.

See also QApplication::symbianEventFilter().

## Member Type Documentation

### enum QSymbianEvent::Type

Constant | Value | Description
--- | --- | ---
`QSymbianEvent::InvalidEvent` | `0` | The event is not valid.
`QSymbianEvent::WindowServerEvent` | `1` | Indicates an event of type `TWsEvent`.
`QSymbianEvent::CommandEvent` | `2` | Indicates that the event is a Symbian command.
`QSymbianEvent::ResourceChangeEvent` | `3` | Indicates that the event is a Symbian resource change type.

## Member Function Documentation

### QSymbianEvent::QSymbianEvent ( const TWsEvent * windowServerEvent )

Constructs a QSymbianEvent containing the given window server event windowServerEvent.

### QSymbianEvent::QSymbianEvent ( Type eventType, int value )

Constructs a QSymbianEvent containing the given event value value. The type of event is controlled by the eventType parameter.

### QSymbianEvent::~QSymbianEvent ()

Destroys the QSymbianEvent.

### int QSymbianEvent::command () const

Returns the command contained in the class instance, or 0 if the event type is not `CommandEvent`.

### bool QSymbianEvent::isValid () const

Returns whether this QSymbianEvent instance contains a valid event.

### int QSymbianEvent::resourceChangeType () const

Returns the resource change type contained in the class instance, or 0 if the event type is not `ResourceChangeEvent`.

### Type QSymbianEvent::type () const

Returns the event type contained in the QSymbianEvent instance.

### const TWsEvent * QSymbianEvent::windowServerEvent () const

Returns the window server event contained in the class instance, or 0 if the event type is not `WindowServerEvent`.